package ast;

public class Line {
    private String assignee = null;
    private Expression expr = null;
    private Program program = null;
    public Line(Program p, Expression e) {
        this.program = p;
        this.expr = e;
    }
    public Line(Program p, Expression e, String a) {
        this.program = p;
        this.expr = e;
        this.assignee = a;
    }
    public void evaluate() {
        double value = expr.evaluate(this.program);
        if (this.assignee != null) {
            program.setMemory(value);
        }
        System.out.println(value);
    }
    public String toString() {
        if (assignee != null) {
            return assignee + " = " + expr.toString() + "\n";
        }
        return expr.toString() + "\n";
    }
}
